Sympa::Spool::Digest::Collection(3Sympa)

NAME
Sympa::Spool::Digest::Collection - Collection of digest spools

SYNOPSIS
  use Sympa::Spool::Digest::Collection;

  my $collection = Sympa::Spool::Digest::Collection->new;
  my ($spool, $handle) = $collection->next;

DESCRIPTION
Sympa::Spool::Digest::Collection implements the collection of Sympa::Spool::Digest instances.

  Methods
See also "Public methods" in Sympa::Spool.

next ( )
    Returns next instance of Sympa::Spool::Digest. Order is controlled by modification times of spool directories. Spool directory is locked to prevent processing by multiple processes.

quarantine ( )
    Does nothing.

remove ( $handle )
    Tries to remove directory of spool. If succeeded, returns true value. Otherwise returns false value.

store (  )
    Does nothing.

CONFIGURATION PARAMETERS
Following site configuration parameters in sympa.conf will be referred.

queuedigest
    Parent directory path of digest spools.

SEE ALSO
sympa_msg(8), Sympa::Spool::Digest.

HISTORY
Sympa::Spool::Digest::Collection appeared on Sympa 6.2.6.